[Overview][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TDelphiReader.Read

Read data from stream

## Declaration

Source position: streamex.pp line 41

`public procedure TDelphiReader.Read(`
`var Buf;`
`Count: LongInt`
`); override;`

## Arguments

`Buf` |  | Buffer to contain the data
`Count` |  | Number of bytes to read from the stream

## Description

Read reads raw data from the stream. It reads Count bytes from the stream and places them in Buf. It forces the use of the TBidirBinaryObjectReader class when reading.

## See also

TBidirBinaryObjectReader |  | Binary component stream reader with BiDi support
TDelphiReader.Position |  | Position in the stream

Documentation generated on: Feb 26 2014